## hyphenation-bn 0.6.0

=== Makefile ===
# Hyphenation Makefile
# Copyright (C) 2009-2011 Shravan Aras <123.shravan@gmail.com>
# Copyright (C) 2008-2010 Santhosh Thottingal <santhosh.thottingal@gmail.com>
#
#  This library is free software; you can redistribute it and/or
#  modify it under the terms of the GNU Lesser General Public
#  License as published by the Free Software Foundation;
#  version 3 or later version of the License.
#
#  This library is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
#  Lesser General Public License for more details.
#
#  You should have received a copy of the GNU Lesser General Public
#  License along with this library; if not, write to the Free Software
#  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307  USA

DESTDIR = 
hyphdir = /usr/share/hyphen/
dictdir = /usr/share/myspell/dicts/
ooo_info_dir = /usr/share/myspell/infos/ooo/
docdir = /usr/share/doc/hyphen-bn/


dict_files = hyph_bn_IN.dic
doc_files = README ChangeLog
extra_files = Makefile
ooo_info_file = openoffice.org-hyphenation-bn
version = 0.6.0

distdir=hyphen-bn-${version}

all: ${doc_files} ${dict_files}

install: all
	mkdir -p ${DESTDIR}${ooo_info_dir}
	cp ${ooo_info_file}  ${DESTDIR}${ooo_info_dir}
	mkdir -p ${DESTDIR}${docdir}
	cp ${doc_files} ${DESTDIR}${docdir}
	mkdir -p ${DESTDIR}${hyphdir}
	cp ${dict_files} ${DESTDIR}${hyphdir}
	chmod 644 ${DESTDIR}${hyphdir}${dict_files}	
	mkdir -p ${DESTDIR}${dictdir}
	ln -s ${hyphdir}${dict_files} ${DESTDIR}${dictdir}${dict_files}
	/usr/sbin/update-openoffice-dicts 
	
	
uninstall:
	-cd ${DESTDIR}${dictdir}/ && rm ${dict_files}
	-cd ${DESTDIR}${docdir}/ && rm ${doc_files}
	-cd ${DESTDIR}${ooo_info_dir}/ && rm ${ooo_info_file}
	-cd ${DESTDIR}${hyphdir}/ && rm ${dict_files}
	
clean:
	-rm -rf ${distdir}.tar.bz2 ${distdir}	
	
dist:
	-rm -rf ${distdir}.tar.bz2 ${distdir}
	mkdir ${distdir}
	cp -p ${dict_files}  ${doc_files} ${ooo_info_file}  ${extra_files} ${distdir}/
	tar cf ${distdir}.tar ${distdir}/
	bzip2 -9 ${distdir}.tar
	rm -rf ${distdir}/

=== debian/changelog ===
hyphenation-bn (0.6.0-1) unstable; urgency=low

  * Initial release. (Closes: #542432)
  * Made Debina-IN as maintainer and Sana as uploader.
  * Added Vcs-* fields.

 -- Sana Khan <sanakhan2011@gmail.com>  Wed, 20 Apr 2011 20:00:41 +0530

=== debian/control ===
Source: hyphenation-bn
Section: text
Priority: optional
Maintainer: Debian-IN Team <debian-in-workers@lists.alioth.debian.org>
Uploaders: Sana Khan <sanakhan2011@gmail.com>
Build-Depends: debhelper (>= 7.0.50~),
               dictionaries-common (>=0.10),
               openoffice.org-updatedicts
Standards-Version: 3.9.1
Homepage: http://wiki.smc.org.in/Hyphenation
Vcs-Svn: svn://svn.debian.org/debian-in/hyphenation-bn
Vcs-Browser: http://svn.debian.org/wsvn/debian-in/hyphenation-bn/trunk

Package: hyphen-bn
Architecture: any
Depends: ${misc:Depends},
         dictionaries-common (>=0.10),
         openoffice.org-updatedicts
Description: Bengali hyphenation patterns for OpenOffice.org/LibreOffice
 Hyphenation is the process inserting hyphens in between the syllables of a
 word so that when the text is justified, maximum space is utilized.
 .
 This package provides the hyphenation rules for Bengali language.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_install:
	rm debian/hyphen-bn/usr/share/doc/hyphen-bn/ChangeLog

=== debian/watch ===
version=3
http://download.savannah.gnu.org/releases/smc/hyphenation/patterns-([\d\.]+)/hyphen-bn-([\d\.]+)\.tar\.bz2 debian uupdate
